DCMTK: UserIdentityNegotiationSubItemRQ Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
UserIdentityNegotiationSubItemRQ Class Reference

Class for User Identity Negotiation request user item. More...

Inheritance diagram for UserIdentityNegotiationSubItemRQ:

## Public Member Functions
| UserIdentityNegotiationSubItemRQ ()
| Constructor.
unsigned char | pduType () const
| Denotes that instance is part of a request (DUL_TYPEASSOCIATERQ)
virtual void | clear ()
| Clears member variables and frees memory.
void | setIdentityType (const T_ASC_UserIdentityNegotiationMode &mode)
| Sets identity type to be used.
T_ASC_UserIdentityNegotiationMode | getIdentityType ()
| Returns identity type that will be used.
void | setPrimField (const char *buffer, const Uint16 length)
| Sets content of primary field.
void | setSecField (const char *buffer, const Uint16 length)
| Sets content of secondary field.
Uint16 | getPrimField (char *&resultBuf, Uint16 &resultLen) const
| Returns content of primary field.
Uint16 | getSecField (char *&resultBuf, Uint16 &resultLen) const
| Returns content of secondary field.
void | setReqPosResponse (const OFBool &reqPosRsp)
| Enables/disables requesting a positive response from the server.
OFBool | isPosResponseRequested ()
| Informs (the server) whether a positive response was requested.
OFCondition | stream (unsigned char *targetBuffer, unsigned long &lengthWritten) const
| Stream the package into a byte stream for network transmission.
OFCondition | streamedLength (unsigned long &length) const
| Computes total length of item if streamed into buffer.
OFCondition | parseFromBuffer (unsigned char *readBuffer, unsigned long &bytesRead, unsigned long availData)
| Parse sub item from buffer.
void | dump (STD_NAMESPACE ostream &outstream) const
| Dump content of this user identity sub item to output stream.
UserIdentityNegotiationSubItemRQ & | operator= (const UserIdentityNegotiationSubItemRQ &rhs)
| Assignment operator, does a deep copy of a class instance.
| UserIdentityNegotiationSubItemRQ (const UserIdentityNegotiationSubItemRQ &rhs)
| Copy constructor, does a deep copy of a class instance.
| ~UserIdentityNegotiationSubItemRQ ()
| Destructor, nothing to clean up.
Public Member Functions inherited from UserIdentityNegotiationSubItem
| UserIdentityNegotiationSubItem (const unsigned char itemType)
| Constructor.
| UserIdentityNegotiationSubItem (const UserIdentityNegotiationSubItem &src)
| Copy constructor.
virtual unsigned char | getItemType () const
| Returns item type, which is 0x58 for requests, and 0x58 for acknowledgements.
virtual unsigned char | getReserved () const
| Returns reserved field, which is 0 in this implementation (see DICOM standard)
virtual | ~UserIdentityNegotiationSubItem ()
| Destructor, nothing to clean up.

## Private Attributes
T_ASC_UserIdentityNegotiationMode | m_userIdentityType
| User Identity Type: 1 (username), 2 (username/password), 3 (kerberos), 4 (SAML)
unsigned char | m_posRspRequested
| If 1, positive response is requested from server. Set to 0 otherwise.
char * | m_primField
| Buffer for primary value field.
Uint16 | m_primFieldLength
| Length of primary value field in bytes.
char * | m_secField
| Buffer for secondary value field.
Uint16 | m_secFieldLength
| Length of primary value field in bytes.

## Detailed Description

Class for User Identity Negotiation request user item.

## Constructor & Destructor Documentation

## ◆ UserIdentityNegotiationSubItemRQ()

UserIdentityNegotiationSubItemRQ::UserIdentityNegotiationSubItemRQ | ( | const UserIdentityNegotiationSubItemRQ & | rhs | ) |

Copy constructor, does a deep copy of a class instance.

Parameters

  rhs | The class instance to copy from

References UserIdentityNegotiationSubItemRQ().

## Member Function Documentation

## ◆ dump()

void UserIdentityNegotiationSubItemRQ::dump | ( | STD_NAMESPACE ostream & | outstream | ) | const
| virtual

Dump content of this user identity sub item to output stream.

Parameters

  outstream | The stream to dump to

Implements UserIdentityNegotiationSubItem.

## ◆ getIdentityType()

T_ASC_UserIdentityNegotiationMode UserIdentityNegotiationSubItemRQ::getIdentityType | ( |  | ) |

Returns identity type that will be used.

At this time, user, user/password, Kerberos and SAML are known.

Returns
  Identification mode

## ◆ getPrimField()

Uint16 UserIdentityNegotiationSubItemRQ::getPrimField | ( | char *& | resultBuf,
|  | Uint16 & | resultLen ) const

Returns content of primary field.

Memory is allocated by this function for resultBuf and must be freed by the caller.

Parameters

  resultBuf | Returns content of primary field. NULL if not set. Memory of this buffer must be freed by the caller.
  resultLen | Returns length of returned buffer

Returns
  Length of returned buffer

## ◆ getSecField()

Uint16 UserIdentityNegotiationSubItemRQ::getSecField | ( | char *& | resultBuf,
|  | Uint16 & | resultLen ) const

Returns content of secondary field.

Memory is allocated by this function for resultBuf must be freed by the caller.

Parameters

  resultBuf | Returns content of secondary field. NULL if not set. Memory of buffer must be freed by the caller.
  resultLen | Returns length of returned buffer

Returns
  Returns length of returned buffer

## ◆ isPosResponseRequested()

OFBool UserIdentityNegotiationSubItemRQ::isPosResponseRequested | ( |  | ) |
| inline

Informs (the server) whether a positive response was requested.

Returns
  Returns OFTrue if a response was requested

References m_posRspRequested.

## ◆ operator=()

UserIdentityNegotiationSubItemRQ & UserIdentityNegotiationSubItemRQ::operator= | ( | const UserIdentityNegotiationSubItemRQ & | rhs | ) |

Assignment operator, does a deep copy of a class instance.

Parameters

  rhs | Right hand side of assignment

Returns
  Reference to "this" object

References UserIdentityNegotiationSubItemRQ().

## ◆ parseFromBuffer()

OFCondition UserIdentityNegotiationSubItemRQ::parseFromBuffer | ( | unsigned char * | readBuffer,
|  | unsigned long & | bytesRead,
|  | unsigned long | availData )
| virtual

Parse sub item from buffer.

The buffer has to start with the correct user item type.

Parameters

  readBuffer | The buffer to read from. The pointer to the buffer gets incremented by "bytesRead" bytes.
  bytesRead | Returns number of bytes read by this function
  availData | Size of the readBuffer

Returns
  EC_Normal if successful, error code otherwise

Implements UserIdentityNegotiationSubItem.

## ◆ pduType()

unsigned char UserIdentityNegotiationSubItemRQ::pduType | ( |  | ) | const
| virtual

Denotes that instance is part of a request (DUL_TYPEASSOCIATERQ)

Returns
  DUL_TYPEASSOCIATERQ

Implements UserIdentityNegotiationSubItem.

## ◆ setIdentityType()

void UserIdentityNegotiationSubItemRQ::setIdentityType | ( | const T_ASC_UserIdentityNegotiationMode & | mode | ) |

Sets identity type to be used.

At this time, user, user/password, Kerberos and SAML are known.

Parameters

  mode | Identification mode

## ◆ setPrimField()

void UserIdentityNegotiationSubItemRQ::setPrimField | ( | const char * | buffer,
|  | const Uint16 | length )

Sets content of primary field.

Parameters

  buffer | Content of primary field
  length | Length of buffer

## ◆ setReqPosResponse()

void UserIdentityNegotiationSubItemRQ::setReqPosResponse | ( | const OFBool & | reqPosRsp | ) |

Enables/disables requesting a positive response from the server.

Parameters

  reqPosRsp | If OFTrue, a positive response is requested

## ◆ setSecField()

void UserIdentityNegotiationSubItemRQ::setSecField | ( | const char * | buffer,
|  | const Uint16 | length )

Sets content of secondary field.

Parameters

  buffer | Content of secondary field.
  length | Length of buffer

## ◆ stream()

OFCondition UserIdentityNegotiationSubItemRQ::stream | ( | unsigned char * | targetBuffer,
|  | unsigned long & | lengthWritten ) const
| virtual

Stream the package into a byte stream for network transmission.

Parameters

  targetBuffer | The buffer to stream to. Must be big enough (must be allocated by caller).
  lengthWritten | Returns number of bytes written to buffer

Returns
  EC_Normal, if successful, error code otherwise

Implements UserIdentityNegotiationSubItem.

## ◆ streamedLength()

OFCondition UserIdentityNegotiationSubItemRQ::streamedLength | ( | unsigned long & | length | ) | const
| virtual

Computes total length of item if streamed into buffer.

Parameters

  length | Returns the total length of the item in bytes

Returns
  EC_Normal if successful, error code otherwise

Implements UserIdentityNegotiationSubItem.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dcuserid.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2